Bug 10401 - cproj(3) does a different projection than expected
Summary: cproj(3) does a different projection than expected
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: math (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Andreas Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-16 11:10 UTC by Stathis Kamperis
Modified: 2014-07-01 07:48 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stathis Kamperis 2009-07-16 11:10:20 UTC
cproj(3) does a stereographic projection onto a Riemann sphere, contrary to what
c99 standard says (7.3.9.4)
Comment 1 Kaveh Ghazi 2010-04-07 15:07:00 UTC
Any progress on fixing this?  I'm going to make GCC's __builtin_cproj optimize 
according to the standard C definition.  I'd like GCC and GLIBC to have the 
same (standard/correct) implementation.  Thanks.

Comment 2 Ulrich Drepper 2010-04-08 22:33:24 UTC
Fixed in git.
Comment 3 Jackie Rosen 2014-02-16 17:45:29 UTC Comment hidden (spam)